function buscarCta2(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formCuentas2.txtNom.value);
  parametros.append("txtCod", document.formCuentas2.txtCod.value);

  $.ajax({
    data:  parametros,
    url:   "busCuentasMov/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblCta2");
      jsonJS.cuentas.forEach(function(i){
        addRowCta2(i.cta, i.cta_nom, i.cta_con);
      });

      $("#tblCta2 tbody tr").dblclick(function() {
        selecCtaMov(a, $(this));
      });

      $("#tblCta2 tbody #btnSelecCtaMov").click(function() {
        selecCtaMov(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowCta2(cod, nom, con) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td class='d-none'>"+con+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecCtaMov'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblCta2 tbody").append(markup);
}

function selecCtaMov(a, tr) {
  if (inputCtaMov == "txtCod") {
    document.thisform.txtCod.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtCod").trigger("change");
  } else {
    if (tr.find("td:eq(2)").text() != "N") {
      $("#txtCtaNom").val("");
      alErrorTimer({"msg":{"type":"error","title":"No puede usar esta cuenta","text":"La cuenta "+tr.find("td:eq(0)").text()+" no es de movimiento, no la puede usar", "ok":"Aceptar", "timer":timeOutErrorSm}});
    } else {
      $("#"+inputCtaMov).val(tr.find("td:eq(0)").text());
      $("#"+inputCtaMov+"Nom").val(tr.find("td:eq(1)").text());
    }
  }

  if (tr.find("td:eq(2)").text() == "N") {
    $("#pills-"+a+"-tab").click();
    //$('html, body').animate( { scrollTop : 0 }, 500 );
    tblClear("tblCta2");
  }
}